org.eclipse.oomph.predicates

## Interface PredicatesFactory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    PredicatesFactoryImpl

      public interface PredicatesFactory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `PredicatesPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PredicatesFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AndPredicate` | `createAndPredicate()` Returns a new object of class 'And Predicate'.
    `AndPredicate` | `createAndPredicate(Predicate... operands)`
    `BuilderPredicate` | `createBuilderPredicate()` Returns a new object of class 'Builder Predicate'.
    `BuilderPredicate` | `createBuilderPredicate(String builder)`
    `CommentPredicate` | `createCommentPredicate()` Returns a new object of class 'Comment Predicate'.
    `FilePredicate` | `createFilePredicate()` Returns a new object of class 'File Predicate'.
    `FilePredicate` | `createFilePredicate(String filePattern)`
    `FilePredicate` | `createFilePredicate(String filePattern, String contentPattern)`
    `LocationPredicate` | `createLocationPredicate()` Returns a new object of class 'Location Predicate'.
    `NamePredicate` | `createNamePredicate()` Returns a new object of class 'Name Predicate'.
    `NamePredicate` | `createNamePredicate(String pattern)`
    `NaturePredicate` | `createNaturePredicate()` Returns a new object of class 'Nature Predicate'.
    `NaturePredicate` | `createNaturePredicate(String nature)`
    `NotPredicate` | `createNotPredicate()` Returns a new object of class 'Not Predicate'.
    `NotPredicate` | `createNotPredicate(Predicate operand)`
    `OrPredicate` | `createOrPredicate()` Returns a new object of class 'Or Predicate'.
    `OrPredicate` | `createOrPredicate(Predicate... operands)`
    `RepositoryPredicate` | `createRepositoryPredicate()` Returns a new object of class 'Repository Predicate'.
    `RepositoryPredicate` | `createRepositoryPredicate(IProject project)`
    `PredicatesPackage` | `getPredicatesPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final PredicatesFactory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createNamePredicate

          NamePredicate createNamePredicate()

      Returns a new object of class 'Name Predicate'.
      Returns:
        a new object of class 'Name Predicate'.
      Generated

    - #### createCommentPredicate

          CommentPredicate createCommentPredicate()

      Returns a new object of class 'Comment Predicate'.
      Returns:
        a new object of class 'Comment Predicate'.
      Generated

    - #### createLocationPredicate

          LocationPredicate createLocationPredicate()

      Returns a new object of class 'Location Predicate'.
      Returns:
        a new object of class 'Location Predicate'.
      Generated

    - #### createNamePredicate

          NamePredicate createNamePredicate(String pattern)

    - #### createRepositoryPredicate

          RepositoryPredicate createRepositoryPredicate()

      Returns a new object of class 'Repository Predicate'.
      Returns:
        a new object of class 'Repository Predicate'.
      Generated

    - #### createRepositoryPredicate

          RepositoryPredicate createRepositoryPredicate(IProject project)

    - #### createAndPredicate

          AndPredicate createAndPredicate()

      Returns a new object of class 'And Predicate'.
      Returns:
        a new object of class 'And Predicate'.
      Generated

    - #### createAndPredicate

          AndPredicate createAndPredicate(Predicate... operands)

    - #### createOrPredicate

          OrPredicate createOrPredicate()

      Returns a new object of class 'Or Predicate'.
      Returns:
        a new object of class 'Or Predicate'.
      Generated

    - #### createOrPredicate

          OrPredicate createOrPredicate(Predicate... operands)

    - #### createNotPredicate

          NotPredicate createNotPredicate()

      Returns a new object of class 'Not Predicate'.
      Returns:
        a new object of class 'Not Predicate'.
      Generated

    - #### createNotPredicate

          NotPredicate createNotPredicate(Predicate operand)

    - #### createNaturePredicate

          NaturePredicate createNaturePredicate()

      Returns a new object of class 'Nature Predicate'.
      Returns:
        a new object of class 'Nature Predicate'.
      Generated

    - #### createNaturePredicate

          NaturePredicate createNaturePredicate(String nature)

    - #### createBuilderPredicate

          BuilderPredicate createBuilderPredicate()

      Returns a new object of class 'Builder Predicate'.
      Returns:
        a new object of class 'Builder Predicate'.
      Generated

    - #### createBuilderPredicate

          BuilderPredicate createBuilderPredicate(String builder)

    - #### createFilePredicate

          FilePredicate createFilePredicate()

      Returns a new object of class 'File Predicate'.
      Returns:
        a new object of class 'File Predicate'.
      Generated

    - #### createFilePredicate

          FilePredicate createFilePredicate(String filePattern)

    - #### createFilePredicate

          FilePredicate createFilePredicate(String filePattern,
                                          String contentPattern)

    - #### getPredicatesPackage

          PredicatesPackage getPredicatesPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html